Witamy, Gość. Zaloguj się lub zarejestruj.
Czy dotarł do Ciebie email aktywacyjny?


Zaloguj się podając nazwę użytkownika, hasło i długość sesji

Polskie Forum Użytkowników GIMP-aDodatkiPluginy i Script-FuWątek: Liquid Rescale vr. 0.7.2 PL GIMP-2.8 win 32 i 64-bit
Strony: 1 2 [Wszystkie]
DrukujPobierz PDF
Autor Wątek: Liquid Rescale vr. 0.7.2 PL GIMP-2.8 win 32 i 64-bit  (Przeczytany 16056 razy)
0 użytkowników i 1 Gość przegląda ten wątek.
POGO
Użytkownik

Reputacja: 7 Offline Offline

Płeć: Mężczyzna
GIMP: 2.8 + GAP
Licencja: Copyright
Wiadomości: 542
Galeria Użytkownika



Zobacz profil
« : 14.09.2013, 20:08:42 »

Liquid Rescale vr.0.7.2 w polskiej wersji językowej skompilowana dla Gimp-a 2.8 32 i 64-bit Windows.Sprawcą spolszczenia jest nasz forumowy Dziadek Zbyma72age. Więcej informacji na stronie http://www.gimpuj.info/index.php/topic,61421.0.html
Spolszczenie działa poprawnie w lokalizacji C:\Program Files\GIMP 2\share\locale\pl\LC_MESSAGES\ w wersji 32 jak i 64 bitowej (testowane na win7 Gimp 2.8 64-bit oficjalne wydanie).

Dzięki!
Pogo.

* lqr-plugin-0.7.2_win64.zip (304.16 KB - pobrany 300 razy.)
* gimp-lqr-plugin-0.7.2_win32.zip (194.98 KB - pobrany 260 razy.)
« Ostatnia zmiana: 15.09.2013, 11:16:17 wysłane przez POGO » Zapisane

be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #1 : 11.09.2016, 19:35:33 »

Dawno nie używałam tego pluginu. Dziś akurat potrzebowałam przeskalować wybiórczo fotkę i okazuje się, że spolszczenie już mi nie działa w GIMP 2.8.16 Smutny
Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #2 : 15.09.2016, 19:47:38 »

Proponuję sprawdzenie lokalizacji niezbędnych plików - ponieważ to niezmiennie działa dla GIMP-a od 2.6.12 do 2.9.5.
Zapisane
Zbyma72age
√ ι ק

Reputacja: 84 Offline Offline

Płeć: Mężczyzna
GIMP: 2.8
Licencja: Copyright
Wiadomości: 392
Galeria Użytkownika



Zobacz profil
« Odpowiedz #3 : 15.09.2016, 19:59:25 »

Dawno nie używałam tego pluginu. Dziś akurat potrzebowałam przeskalować wybiórczo fotkę i okazuje się, że spolszczenie już mi nie działa w GIMP 2.8.16 Smutny


Witam

Wobec powyższego sprawdziłem u siebie w GIMP 2.8.10 64bit poretable (Windows 7).
Wywaliłem wszystkie pliki pluginu poprzedniej wersji (zostawiłem skrypt i tłumaczenie)
Zainstalowałem cały folder lqr-plugin-0.7.2_win64 w ...\plugins
W Preferencje ustawiłem ścieżkę i polska wersja działa jak poprzednio.

Korzystając z okazji pragnę zaznaczyć, że od czasu publikacji mojego Poradnika, minęło kilka lat i Autor Wtyczki poczynił szereg zmian i poprawek.
Proszę zwrócić uwagę, że opublikował wersję swojego Tutoriala do wersji 0.7
http://liquidrescale.wikidot.com/en:manual-0-7

Widzimy tutaj przykładowo że w moim Poradniku nie uwzględniłem:
Korzystanie z wtyczki w trybie wsadowym
Wtyczka jest wyposażony w skrypt, który sprawia, że łatwo ją obsługiwać na plikach z linii poleceń.
Można znaleźć opis argumentów skryptu za pomocą "Przeglądarki procedur" z menu "Pomoc" w GIMP i patrząc w batch-gimp-lqr, batch-gimp-lqr-full i batch-gimp-lqr-full-use-id ;
znaczenie tych opcji powinno być oczywiste wiedząc, jak działa standardowy interfejs.
itd
Kogo to zagadnienie interesuje może skrypt batch-gimp-lqr otworzyć w Notepad++, skrypt zawiera dużo szczegółowych komentarzy !!!

Kogo ten tryb nie interesuje może spokojnie pominąć instalację samego skryptu.

Proszę jeszcze sprawdzać zgłaczane bug reports na stronie Autora, przykładowo
http://liquidrescale.wikidot.com/forum/c-18441/bug-reports
http://liquidrescale.wikidot.com/forum/t-1798200/error-when-opening-gimp

Pozdrawiam


* 2016-09-15_203916.png (18.84 KB, 431x456 - wyświetlony 263 razy.)
« Ostatnia zmiana: 15.09.2016, 21:11:40 wysłane przez Zbyma72age » Zapisane
POGO
Użytkownik

Reputacja: 7 Offline Offline

Płeć: Mężczyzna
GIMP: 2.8 + GAP
Licencja: Copyright
Wiadomości: 542
Galeria Użytkownika



Zobacz profil
« Odpowiedz #4 : 15.09.2016, 21:08:22 »

Dawno nie używałam tego pluginu. Dziś akurat potrzebowałam przeskalować wybiórczo fotkę i okazuje się, że spolszczenie już mi nie działa w GIMP 2.8.16 Smutny


Działa, działa. Prawdopodobnie po aktualizacji plik z tłumaczeniem wyleciał.
Zapisane

be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #5 : 16.09.2016, 01:19:11 »

1. Usunęłam wszystkie stare pliki związane z pluginem.
2. Spolszczenie wrzuciłam do: C:\Program Files\GIMP 2\share\locale\pl\LC_MESSAGES:



3. Cały folder lqr-plugin-0.7.2_win64 wkleiłam do: C:\Users\x\.gimp-2.8\plug-ins:



4. Uruchomiłam GIMP-a i nadal mam menu po angielsku.
5. Wyłączyłam GIMP-a i przeniosłam (nie skopiowałam) folder lqr-plugin-0.7.2_win64 do lokalizacji: C:\Program Files\GIMP 2\lib\gimp\2.0\plug-ins
6. Uruchomiłam GIMP-a i wciąż menu wtyczki jest po angielsku.
Sam plugin działa w obydwu lokalizacjach. Nie działa tylko spolszczenie.

@Edycja:
Próbowałam jeszcze wrzucać spolszczenie do: C:\Program Files\GIMP-2.0\share\locale\pl\LC_MESSAGES, a nawet umieścić je w folderze \pl\LC_MESSAGES utworzonym bezpośrednio w katalogu z pluginem, niestety nic nie pomogło.
 Jedyne, co mi jeszcze przychodzi do głowy, to zainstalować GIMP 2.8.18

 
« Ostatnia zmiana: 16.09.2016, 03:59:52 wysłane przez be@ » Zapisane
Zbyma72age
√ ι ק

Reputacja: 84 Offline Offline

Płeć: Mężczyzna
GIMP: 2.8
Licencja: Copyright
Wiadomości: 392
Galeria Użytkownika



Zobacz profil
« Odpowiedz #6 : 16.09.2016, 15:26:20 »

Witam

be@ - Może to głupie pytanie, ale nie podano jaka jest wersja Windows,
może w tym tkwi problem?.
Ja używam Windows 7.

Przeprowadziłem próbę umieszczenia wtyczki lqr-plugin-0.7.2_win64, w GIMP 2.8.15 portable kompilacji samj – efekt, w ogóle nie startuje, próba zamiany libgobject-2.0-0.dll w bin, GIMP odmawia startu.

GIMP 2.8.10-64bits-Portable kompilacja aljacom – praca poprawna i PL
GIMP 2.8.6 32bit Portable kompilacja Partha – zastosowano wtyczkę lqr-plugin-0.7.2_win32, praca poprawna i PL

Jak pisałem w GIMP 2.8.18 Portable w kompilacji PortableApps wszystko OK i PL.

Tak więc nie jest łatwo.
Z wersji stacjonarnej GIMP-a nie korzystam w ogóle, instaluję tylko Portable.
...
Proszę jeszcze sprawdzać zgłaszane bug reports na stronie Autora, przykładowo
http://liquidrescale.wikidot.com/forum/c-18441/bug-reports
http://liquidrescale.wikidot.com/forum/t-1798200/error-when-opening-gimp

Pozdrawiam
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #7 : 16.09.2016, 21:01:20 »

Zbyma72age: nie podałam wersji systemu, bo przy każdym poście pod awatarem są ikonki, m.in. też ta z informacją o wersji systemu (wystarczy najechać kursorem na ikonę Windows i się wyświetla), także sądziłam że to zbędne, skoro każdy widzi. Mój system, to Windows 7 x64.
Co do GIMP-a, to używam wersji instalacyjnej 2.8.16, a plugin pobrałam z paczki załączonej przez POGO w pierwszym poście tego wątku.
Postaram się zainstalować 2.8.18 albo sprawdzę w 2.9.5

@Edycja:
Zainstalowałam 2.8.18 i niestety, nic się nie zmieniło. Wtyczka działa, ale jej menu jest wciąż po angielsku Smutny
Nie wiem czy z tego bug reports coś zrozumiem, ale przejrzę...
« Ostatnia zmiana: 16.09.2016, 21:12:28 wysłane przez be@ » Zapisane
POGO
Użytkownik

Reputacja: 7 Offline Offline

Płeć: Mężczyzna
GIMP: 2.8 + GAP
Licencja: Copyright
Wiadomości: 542
Galeria Użytkownika



Zobacz profil
« Odpowiedz #8 : 17.09.2016, 09:24:22 »

Trudno jest pomóc kiedy na moich Gimp-ach (2,8.18 i 2.9- portable kompilacji samj) wtyczka działa poprawnie.
Co prawda w wersji 2.9 konsola wyrzuca komunikat o błędzie biblioteki ale niema to wpływu na pracę wtyczki.
Mam win10-pro x64.
Pozdrawiam
Zapisane

be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #9 : 17.09.2016, 09:27:20 »

U mnie też wtyczka działa poprawnie, tylko spolszczenie nie działa.
Zapisane
POGO
Użytkownik

Reputacja: 7 Offline Offline

Płeć: Mężczyzna
GIMP: 2.8 + GAP
Licencja: Copyright
Wiadomości: 542
Galeria Użytkownika



Zobacz profil
« Odpowiedz #10 : 17.09.2016, 13:29:54 »

A g'mic jest po polsku? I jeszcze jedno bibliotekę libgobject-2.0-0.dll można spróbować też wywalić.W Gimp-ie 2.8.18 jest już nowsza wersja tej tej biblioteki i wtyczka powinna działać bez potrzeby jej dodawania do folderu z plikiem.
Zapisane

be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #11 : 17.09.2016, 21:23:19 »

G'MIC nie jest, ale ten Liquid Rescale jakoś wyjątkowo trudny do ogarnięcia po angielsku. No już sobie przeskalowałam, ale ogólnie rzadko go używam i następnym razem znów nie będę pamiętać, co jest do czego i pomylę sobie np. obiekty do zachowania z obiektami do usunięcia Język
Jak już Zbyma popełnił tłumaczenie, to byłoby fajnie móc z niego korzystać, bo dla mnie to spore ułatwienie. Jeszcze w GIMP 2.9.5 wypróbuję.

Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #12 : 17.09.2016, 22:59:49 »

Skoro Gmic nie jest po polsku (lewa strona) to najprawdopodobniej w Preferencjach(Interfejs) masz ustawiony język na systemowy.
Jeżeli zmienisz język na polski to i Gmic powinien być po polsku - ale to działa inaczej niż pliki tłumaczeń *.mo
więc zmiana tego ustawienia prawdopodobnie nie pomoże w przypadku Liquid Rescale.
Jeżeli dobrze pamiętam, nasz zainstalowane Seperate - czy jest po polsku?
Mam jeszcze jedną propozycję - zmień nazwę katalogu "domowego" .gimp-2.8 na coś innego np. Xgimp-2.8 (do ponownego przywrócenia) i uruchom ponownie GIMP-a (który odbuduje ustawienia domyślne) - pozwoli to wykluczyć jakiś błąd w konfiguracji.
Czy Liquid Rescale jest dalej po angielsku?
« Ostatnia zmiana: 17.09.2016, 23:14:20 wysłane przez MareroQ » Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #13 : 17.09.2016, 23:15:39 »

@MareroQ: G'MIC mam właściwie częściowo po polsku, ale opcje i nazwy filtrów są po angielsku. Po polsku jest praktycznie tylko słowo: Podgląd i przyciski u dołu po prawej stronie okna. A już Input/Output i opcje na tej liście są po angielsku. Separate nie mam i nie używam.
Co do przywracania ustawień, to przecież dopiero co zainstalowałam v.2.8.18, więc chyba nie ma sensu.
Język faktycznie miałam ustawiony systemowy. Zmieniłam na polski, zrestartowałam i w G'MIC okienko Input/Output jest już po polsku, ale Liquid Rescale nadal po angielsku.
Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #14 : 17.09.2016, 23:35:56 »

To ma sens tylko w celu wykluczenia jednej z możliwości (błędu w konfiguracji) jeżeli instalowałaś na poprzedniej wersji lub pozostawiłaś katalog domowy.
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #15 : 17.09.2016, 23:42:39 »

To ja już wolę sprawdzić na tym 2.9.5, bo jak zresetuję te ustawienia, to pewnie znów będę musiała usuwać Wilbera z przybornika, zmieniać sobie domyślny kolor w oknie itp. drobiazgi, a jest ich trochę.
Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #16 : 17.09.2016, 23:49:32 »

Jeżeli test nic nie zmieni w tłumaczeniu LR to nic nie będziesz musiała zmieniać - tylko skasować nowo utworzony i  przywrócić stary katalog.
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #17 : 18.09.2016, 00:08:54 »

MareroQ: Zrobiłam tak i nie pomogło. Zaraz sprawdzę w tym 2.9.5 i dam znać.
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #18 : 18.09.2016, 00:18:41 »

W GIMP 2.9.5 portable umieściłam folder lqr-plugin-0.7.2_win64 w lokalizacji: D:\Inne\Gimp-2.9\portable\plug-ins, a plik tłumaczenia w: D:\Inne\Gimp-2.9\gimp\share\locale\pl\LC_MESSAGES. Plugin w ogóle nie pojawił się w menu Smutny Co zrobiłam źle?

@Edycja:
Przeniosłam plugin jeszcze do: D:\Inne\Gimp-2.9\gimp\lib\gimp\2.0\plug-ins i nadal nic Smutny
Ten plugin mnie nie lubi Smutny
Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #19 : 18.09.2016, 00:33:03 »

Spróbuj "klasycznie" tzn. dodaj katalog z plikami LR do .gimp-2.8 i dodaj go w preferencjach wtyczek.

Na chwilę obecną poddaję się - ale problem bardzo mnie zainteresował i będę próbował szukać rozwiązania...
... a przyczyn może być wiele w tym jakiś niewłaściwy plik (może systemowy?) lub jego brak.



PS. Ciekawy jestem (jak POGO) czy tylko to tłumaczenie nie działa czy też żadne dodane indywidualnie (np. wspomniane separate). To mogłoby zawęzić obszar szukania rozwiązania.
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #20 : 18.09.2016, 00:56:46 »

Usunęłam plugin z 2.9 i ustawiłam w preferencjach ścieżkę do katalogu plug-ins z 2.8. Zrestartowałam GIMP 2.9 i dalej nic. Inne wtyczki z 2.8 też się nie pojawiły.

@Edycja:
Zauważyłam, że po restarcie 2.9 dodana w preferencjach kścieżka znika. Sprawdzałam dwukrotnie i za każdym razem ustawienie było resetowane do domyślnych ścieżek. Tak jakby 2.9 nie pozwalał zmienić ścieżki na katalog z 2.8.
Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #21 : 18.09.2016, 01:09:57 »

Chyba wprowadziłem Cię w błąd - nie chodziło mi w tym momencie o 2.9 tylko o 2.8 - żeby nie dodawać katalogu z plikami LR do plug-ins ale jako osobny podkatalog w .gimp-2.8 i wskazać w preferencjach.
To o czym napisałaś zależy pewnie od wersji Portable.
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #22 : 18.09.2016, 01:11:35 »

No ale w wersji 2.8 plugin przecież działa. To w 2.9 się nie pokazuje...
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #23 : 18.09.2016, 01:15:34 »

Eureka!
Zamiast wrzucać cały folder qr-plugin-0.7.2_win64 wrzuciłam jego zawartość bezpośrednio do folderu plug-ins w D:\Inne\Gimp-2.9\portable\. Podczas uruchamiania GIMP-a 2.9 pojawił się komunikat:

Wywaliłam więc ten pliczek DLL, zrestartowałam i plugin nie tylko działa ale też jest po polsku laugh

Może w 2.8 też to pomoże, zaraz sprawdzę
Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #24 : 18.09.2016, 01:18:39 »

Wiem, że w 2.8 działa - ale szukamy rozwiazania na tłumaczenie.
Zapewne w Twoim 2.9 Portable będą akceptowane tylko plik w katalogu plug-ins (bez dodatkowego podkatalogu LR).
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #25 : 18.09.2016, 01:23:17 »

Samo wyrzucenie trefnego DLL w 2.8 nie pomogło na brak spolszczenia.
Pomogło za to ustawienie w preferencjach ścieżki bezpośrednio do katalogu wtyczki Uśmiech Także problem rozwiązany. Serdecznie dziękuję MareroQ i wszystkim za pomocne sugestie Uśmiech
Zapisane
MareroQ
Użytkownik

Reputacja: 13 Offline Offline

Płeć: Mężczyzna
GIMP: 1.*
Licencja: Copyright
Wiadomości: 584
Galeria Użytkownika

MareroQ


Zobacz profil
« Odpowiedz #26 : 18.09.2016, 01:32:25 »

Cieszę się, że potwierdziłaś dla 2.9 moją teorię zanim ja napisałem odpowiedź.
To co zrobiłaś jako ostatni krok sugerował wcześniej ZbymaAge - myślałem, że to wypróbowałaś.
Kochany GIMP bywa czasami kapryśny ale "brawo TY" za podjęcie skutecznych działań.
Zapisane
be@
Moderator globalny

Reputacja: 49 Offline Offline

Płeć: Kobieta
GIMP: 2.8
Licencja: CC-BY
Wiadomości: 6 879
Galeria Użytkownika



Zobacz profil
« Odpowiedz #27 : 18.09.2016, 01:40:14 »

Każdy trochę pomógł i każdy dostaje po jednym punkciku reputacji Uśmiech
Jeszcze raz wszystkim dziękuję, plugin po polsku jest o wiele bardziej czytelny i znacznie prostszy w obsłudze dzięki podpowiedziom w języku polskim.
Zapisane
Strony: 1 2 [Wszystkie]
DrukujPobierz PDF
Polskie Forum Użytkowników GIMP-aDodatkiPluginy i Script-FuWątek: Liquid Rescale vr. 0.7.2 PL GIMP-2.8 win 32 i 64-bit
Skocz do: